Summary:        dlm control daemon and tool
Name:           dlm
Version:        4.2.0
Release:        5%{?dist}
License:        GPLv2 and GPLv2+ and LGPLv2+
URL:            https://pagure.io/dlm
Source0:	    https://releases.pagure.org/dlm/%{name}-%{version}.tar.gz

BuildRequires:  gcc glibc-kernheaders make
BuildRequires:  corosynclib-devel >= 3.1.0 pacemaker-libs-devel >= 1.1.7
BuildRequires:  libxml2-devel
BuildRequires:  systemd-units systemd-devel

Patch1000:      1000-dlm_controld-remove-unnecessary-header-include.patch
Patch3000:      0001-Revert-treewide-add-fcf-protection-full-to-CFLAGS.patch
Patch5000:      remove_annobin_in_makefile.patch


Requires:       %{name}-lib = %{version}-%{release}
Requires:       corosync >= 3.1.0
Requires:       kernel-modules-extra
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
The kernel dlm requires a user daemon to control membership.

%package        lib
Summary:        Library for %{name}

%description    lib
The %{name}-lib package contains the libraries needed to use the dlm
from userland applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-lib = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build
%make_build -C fence

%install
%make_install LIBDIR=%{_libdir}
%make_install -C fence LIBDIR=%{_libdir}

install -Dm 0644 init/dlm.service %{buildroot}%{_unitdir}/dlm.service
install -Dm 0644 init/dlm.sysconfig %{buildroot}/etc/sysconfig/dlm

%post
%systemd_post dlm.service

%preun
%systemd_preun dlm.service

%postun
%systemd_postun_with_restart dlm.service

%files
%license README.license
%doc README.rst
%{_unitdir}/dlm.service
%{_sbindir}/dlm_controld
%{_sbindir}/dlm_tool
%{_sbindir}/dlm_stonith
%{_mandir}/man8/dlm*
%{_mandir}/man5/dlm*
%{_mandir}/man3/*dlm*
%config(noreplace) %{_sysconfdir}/sysconfig/dlm

%files lib
/usr/lib/udev/rules.d/*-dlm.rules
%{_libdir}/libdlm*.so.*

%files devel
%{_libdir}/libdlm*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libdlm*.h


%changelog
* Fri Jan 26 2024 Xin Cheng <denisecheng@tencent.com> - 4.2.0-5
- dlm_controld: remove unnecessary header linux/dlm_netlink.h include

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Feng Weiyao <wynnfeng@tencent.com> - 4.2.0-1
- initial build
